<ion-header no-border>

    <ion-toolbar  color="success">
      
      
    </ion-toolbar>
  
  

  <!-- Compiled and minified CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
</ion-header>

<ion-content fullscreen>
  <div  class="fullscreen-content">
    <div class="cabecera-perfil" padding>
      
        
      <h3 style="font-weight: bold;">COMENTARIOS</h3>
     </div>
  </div>
   
  
  <br><br><br>
     <div style="text-align:center;">
      <span style="font-weight:bold;">RECOMENDADIONES Y COMENTARIOS</span><br>
        <br>
<div class="hr"> </div>
     </div>
  
    <div>
     <br>
      <h6 style="text-align: center;">Estado de Disponibilidad</h6>
      <div style="text-align: center;" *ngIf="actividad=='disponible' ">
        <img src="../../../../assets/img/icon-assets/disponible-redimensionado.png">
        <h6 id="recomendada">Disponible</h6>
      </div>
      <div style="text-align: center;" *ngIf="actividad=='recomendada' ">
        <img src="../../../../assets/img/icon-assets/tenor.gif" height="80" width="80"><br>
        <span>Varios usuarios reportan:</span><h6 id="recomendada">Recomendacion</h6>
      </div>

      <div style="text-align: center;" *ngIf="actividad=='sinservicio'">
        <img src="../../../../assets/img/icon-assets/angry.gif" height="80" width="80"><br>
        <span>Varios usuarios reportan:</span><h6 id="sinservicio">Sin servicio</h6>
      </div>
      <div style="text-align: center;" *ngIf="actividad=='congestionada'">
        <img src="../../../../assets/img/icon-assets/sad.gif" height="80" width="80"><br>
       <span>Varios usuarios reportan:</span> <h6 id="congestion">Congestion</h6>
      </div>
      <div style="text-align: center;">

        <ion-button *ngIf="favorito=='favoritos'"(click)="quitarFavoritos(nitie,uidcli)"  color="danger">Quitar de Favoritos</ion-button>
     
      </div>

    </div>
    
    <div [ngSwitch]="seccion">
      <div *ngSwitchCase="'recomendation'" style="overflow: scroll; height: auto; width:auto;">
         <div *ngIf="comentarios==null">
           <p style="text-align: center; margin-right: 10px;margin-top: 20px;">No hay comentarios,Se tú el primero en comentar</p><br>
            
         </div>
           <div style="text-align: center;">
              <ion-button color="primary" (click)="geolocalizante()">Dejar Comentario</ion-button>

      </div>

   
         <br><br>
      

          <div *ngFor="let item of comentarios;let i=index">
            <ion-item (click)="verComentarioCompleto(item.codigoComentario,clinicaco)">
              <div *ngFor="let g of usuariosObserbavle | async">
                <div *ngIf="g.id==item.uid">
                  <ion-avatar slot="start" style="height:60px;width:60px;padding:10px;">
                    <img src="{{g.imagen_perfil}}">
                  </ion-avatar>
                </div>
               
              </div>
             
              <ion-label>
                <div *ngFor="let g of usuariosObserbavle | async">
                  <div *ngIf="g.id==item.uid">
                    <h2>{{g.nombre}}</h2>
                  </div>
                 
                </div>
                
                <div *ngIf="item.estado==1">
                  <h3> Recomendacion <img src="../../../../assets/img/icon-assets/disponible-redimensionado.png" height="10px" width="10px"></h3>
                </div>
                <div *ngIf="item.estado==2">
                  <h3> Congestion <img src="../../../../assets/img/icon-assets/congestionado-redimensionado.png" height="10px" width="10px"></h3>
                </div>
                <div *ngIf="item.estado==3">
                  <h3> Sin servicio <img src="../../../../assets/img/icon-assets/Sin servicio-redimensionado.png" height="10px" width="10px"></h3>
                </div>
                <p>{{item.texto}}</p>
              </ion-label>
              
            </ion-item>
            
          </div>
             
        

          <div id="estado_actual"> 

          </div>
          
      </div>
     
    </div>

 
  <!--<ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="geolocalizante()" color="light">
      <img src="../../../../assets/img/icon-assets/globos.png">
    </ion-fab-button>
   
  </ion-fab>-->

<br><br><br>

      <button id="contenedor-enviar" (click)="back()">
<svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" style="color:white;" fill="currentColor" class="bi bi-x" viewBox="0 0 16 16">
  <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
</svg>

      </button>
     
   



</ion-content>
